LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05593Bug reports[All Projects] Data Entry (non public)public2011-11-24 11:552012-04-26 08:32
Reporteruser16723 
Assigned Tojcleeland 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00a1 
Target Version2.00a2Fixed in Version2.00RC1 
Summary05593: Blacklist Control Bug
DescriptionNo content in:
http://devdemo.limesurvey.org/index.php/admin/participants/blacklistControl [^]
Additional InformationOnline.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID00000
Browser
Database & DB-VersionOnline
Operating System (Server)Online
Webserver software & versionOnline
PHP VersionOnline
Attached Files

- Relationships

-  Notes
User avatar (16702)
Mazi (developer)
2011-11-24 12:11

Please add a description of the bug and some instructions how we can reproduce the problem step by step.
(16703)
user16723
2011-11-24 12:16

First head yourself to:

http://devdemo.limesurvey.org/index.php/admin/participants/index [^]

and login. There is no blacklisted users. When there are is no blacklisted user, if you go to:

http://devdemo.limesurvey.org/index.php/admin/participants/blacklistControl [^]

there is only header and footer. It looks buggy. Personally, I would add dummy row or something to let administrator know everything is ok.
User avatar (16704)
Mazi (developer)
2011-11-24 12:40

I agree, there should at least be a short "No blacklisted users exist." message.
User avatar (16924)
c_schmitz (administrator)
2012-01-23 17:08

ajs, can you please check if this issue still exists in Yii and if appropiate fix it. Thank you.
(16942)
user16774
2012-01-24 16:45

Ok... I'm not exactly sure what is supposed to happen on this screen, but as it stands now there's a 500 error at the blacklist page.
User avatar (16943)
Mazi (developer)
2012-01-24 17:13

I hope this helps: http://docs.limesurvey.org/Central+participants+database+%28User+panel%29#Blacklist_Control [^]
User avatar (16965)
c_schmitz (administrator)
2012-01-24 21:49

ajs, yes, the goal is to fix that one ;). Let me know if you need more info. Also have a look at how it works in 1.91/1.92.
(16968)
user16774
2012-01-25 07:27

As far as I can tell, this feature does not exist in 1.91+ or the 1.92RCs. Am I mistaken?
(16969)
user16774
2012-01-25 07:46

Ok. I confirmed with aniessh that this code was only written for CI. Also, based on my discussion with aniessh, the features from http://docs.limesurvey.org/img/wiki_up/Screen_shot_5.png [^] were not ever actually implemented meaning this will take slightly more time.
User avatar (16970)
c_schmitz (administrator)
2012-01-25 13:19

Sure, np. Thank you for taking care of this!
(18080)
user16774
2012-03-25 01:06

I added the blacklist menu. None of the settings do anything at this point... but it saves/recalls everything from global settings.

How/where do I blacklist users (or where am I supposed to be able to blacklist users)? Is this in the db schema already, or does it need added?
User avatar (18088)
c_schmitz (administrator)
2012-03-26 18:26

In the participants table there is a field 'blacklisted' (Y/N)
In general it should be possible to blacklist one ore more users from the CPDB grid.
(18095)
user16774
2012-03-26 20:03

Ok. For some reason I thought blacklists were per survey. Would you take a look at the options and let me know if those still accurately represent what we are trying to do. If blacklisting is global... that seems to change things.

Either way, can you also let me know what you want for each default?
User avatar (18096)
c_schmitz (administrator)
2012-03-26 20:25

I think in general a survey invitation email could have some kind of blacklist link.
I am not sure how this originally this was intended by Jason/Aniesh. Mabye Jason can give us some insight?
User avatar (18097)
jcleeland (developer)
2012-03-27 00:30

ajs & carsten, I have aniessh's updates for some of the missing CI elements, which I'm trying to implement but GIT keeps stuffing me around. I've changed the files 3 times now, and then GIT refuses to commit them. Sigh.

ajs if you're working on CPDB now, can you please let me know which areas, because I'm also cleaning up the code and trying to get it to work the way it was intended after GSoC last year. I'm using it as an opportunity to learn about YII as well, so I don't want the goalposts to keep moving.
(18098)
user16774
2012-03-27 00:50

I'm not really working on it other than resolving the bugs assigned to me. That being said, I can probably try to help you if you need help.
User avatar (18100)
aniesshsethh (reporter)
2012-03-27 15:50

The original idea was that the blacklist control will be both per survey and global, the global blacklist was to be stored under the cpdb database, and the local one to be stored under the token table.

http://docs.limesurvey.org/img/wiki_up/Relationsv4.png [^]

If a user is blacklisted locally , he shouldn't be sent invitation/reminder email but can be copied from cpdb to other surveys, if he chooses to be blacklisted globally, he will not be allowed to be copied to any other survey.

The email that is sent out as invitation will have 3 links

1) blacklist locally
2) un-blacklist locally
3) blacklist globally

that's all I know was intended to be implemented.
User avatar (18481)
jcleeland (developer)
2012-04-26 08:32

I'm pretty sure that this bug should be closed. The blacklist control page wasn't supposed to show lists of those blacklisted, just options in relation to blacklisting - which it appears to do. So I'm closing this for now. Let me know if I've misunderstood.

- Issue History
Date Modified Username Field Change
2011-11-24 11:55 user16723 New Issue
2011-11-24 12:11 Mazi Note Added: 16702
2011-11-24 12:11 Mazi Assigned To => aniesshsethh
2011-11-24 12:11 Mazi Status new => feedback
2011-11-24 12:16 user16723 Note Added: 16703
2011-11-24 12:16 user16723 Status feedback => assigned
2011-11-24 12:40 Mazi Note Added: 16704
2012-01-23 17:08 c_schmitz Assigned To aniesshsethh => user16774
2012-01-23 17:08 c_schmitz Target Version => 2.00a2
2012-01-23 17:08 c_schmitz Note Added: 16924
2012-01-24 16:45 user16774 Note Added: 16942
2012-01-24 16:48 user16774 Status assigned => acknowledged
2012-01-24 17:13 Mazi Note Added: 16943
2012-01-24 21:49 c_schmitz Note Added: 16965
2012-01-24 21:49 c_schmitz Status acknowledged => assigned
2012-01-25 07:27 user16774 Note Added: 16968
2012-01-25 07:46 user16774 Note Added: 16969
2012-01-25 13:19 c_schmitz Note Added: 16970
2012-03-25 01:06 user16774 Note Added: 18080
2012-03-26 18:26 c_schmitz Note Added: 18088
2012-03-26 20:03 user16774 Note Added: 18095
2012-03-26 20:25 c_schmitz Note Added: 18096
2012-03-26 20:25 c_schmitz Assigned To user16774 => jcleeland
2012-03-26 20:25 c_schmitz Status assigned => feedback
2012-03-27 00:30 jcleeland Note Added: 18097
2012-03-27 00:50 user16774 Note Added: 18098
2012-03-27 15:50 aniesshsethh Note Added: 18100
2012-04-26 08:32 jcleeland Note Added: 18481
2012-04-26 08:32 jcleeland Status feedback => closed
2012-04-26 08:32 jcleeland Resolution open => fixed
2012-04-26 08:32 jcleeland Fixed in Version => 2.00RC1


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker